freebsd-ports/audio/scrobbler/files/patch-configure
Roman Bogorodskiy 2cfb986134 - Drop audio/libmusicbrainz support as it's deprecated and no longer
functional. It was only used for obtaining cdaudio metadata
- Bump PORTREVISION

PR:		168154
Submitted by:	Jason E. Hale <bsdkaffee@gmail.com>
2012-06-10 03:59:29 +00:00

173 lines
4.8 KiB
Text

--- ./configure.orig 2005-02-26 21:37:06.000000000 -0500
+++ ./configure 2012-05-19 08:49:13.000000000 -0400
@@ -22548,145 +22548,6 @@
-
-echo "$as_me:$LINENO: checking for mb_GetVersion in -lmusicbrainz" >&5
-echo $ECHO_N "checking for mb_GetVersion in -lmusicbrainz... $ECHO_C" >&6
-if test "${ac_cv_lib_musicbrainz_mb_GetVersion+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-else
- ac_check_lib_save_LIBS=$LIBS
-LIBS="-lmusicbrainz -lstdc++ $LIBS"
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h. */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h. */
-
-/* Override any gcc2 internal prototype to avoid an error. */
-#ifdef __cplusplus
-extern "C"
-#endif
-/* We use char because int might match the return type of a gcc2
- builtin and then its argument prototype would still apply. */
-char mb_GetVersion ();
-int
-main ()
-{
-mb_GetVersion ();
- ;
- return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
- (eval $ac_link) 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; } &&
- { ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_lib_musicbrainz_mb_GetVersion=yes
-else
- echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-ac_cv_lib_musicbrainz_mb_GetVersion=no
-fi
-rm -f conftest.err conftest.$ac_objext \
- conftest$ac_exeext conftest.$ac_ext
-LIBS=$ac_check_lib_save_LIBS
-fi
-echo "$as_me:$LINENO: result: $ac_cv_lib_musicbrainz_mb_GetVersion" >&5
-echo "${ECHO_T}$ac_cv_lib_musicbrainz_mb_GetVersion" >&6
-if test $ac_cv_lib_musicbrainz_mb_GetVersion = yes; then
- cat >>confdefs.h <<_ACEOF
-#define HAVE_LIBMUSICBRAINZ 1
-_ACEOF
-
- LIBS="-lmusicbrainz $LIBS"
-
-else
- echo "*"
- echo "* The MusicBrainz client library needs to be installed "
- echo "* to build this plugin. Please download the library from "
- echo "* http://www.musicbrainz.org/download "
- echo "*"
- { { echo "$as_me:$LINENO: error: \"Cannot build. Stop.\"" >&5
-echo "$as_me: error: \"Cannot build. Stop.\"" >&2;}
- { (exit 1); exit 1; }; }
-
-fi
-
-
-LIBS="-lmusicbrainz -lstdc++"
-if test "$cross_compiling" = yes; then
- have_mbver=false
-else
- cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h. */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h. */
-
-#include <musicbrainz/mb_c.h>
-
-int main ()
-{
- int major, minor, rev;
- musicbrainz_t o;
-
- o = mb_New();
- mb_GetVersion(o, &major, &minor, &rev);
- mb_Delete(o);
- if (major >= 2)
- {
- return 0;
- }
-
- return -1;
-}
-
-_ACEOF
-rm -f conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
- (eval $ac_link) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; }; then
- have_mbver=true
-else
- echo "$as_me: program exited with status $ac_status" >&5
-echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-( exit $ac_status )
-have_mbver=false
-fi
-rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
-fi
-
-
if test "${my_cv_curl_vers+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
@@ -22727,24 +22588,6 @@
LIBS="$LIBS $GTKLIBS"
-echo "$as_me:$LINENO: checking for version >= 2.0.0 in -lmusicbrainz" >&5
-echo $ECHO_N "checking for version >= 2.0.0 in -lmusicbrainz... $ECHO_C" >&6
-if test "$have_mbver" = "false"; then
- echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
- echo "*"
- echo "* Version 2.0.0 or higher of the MusicBrainz "
- echo "* client library needs to be installed to build this application. "
- echo "* Please download the library from: "
- echo "* http://musicbrainz.org/products/client/download.html "
- echo "*"
- { { echo "$as_me:$LINENO: error: Cannot build. Stop." >&5
-echo "$as_me: error: Cannot build. Stop." >&2;}
- { (exit 1); exit 1; }; }
-else
- echo "$as_me:$LINENO: result: yes" >&5
-echo "${ECHO_T}yes" >&6
-fi
ac_config_files="$ac_config_files Makefile"
cat >confcache <<\_ACEOF